Lookup user
curl --request GET \
--url https://relay.bayse.markets/v1/user/lookupimport requests
url = "https://relay.bayse.markets/v1/user/lookup"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/user/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "68eea9d8-a0fe-4534-ae88-b71e2f4f5c8f",
"tag": "mulumba",
"imageUrl": "https://cdn.bayse.markets/profile-images/mulumba.jpg"
}
User
Lookup user
Resolve a user tag or ID to their public profile
GET
/
v1
/
user
/
lookup
Lookup user
Overview
Look up a user by their tag (username) or user ID to get their public profile info. Provide eithertag or userId, not both.
Requires read authentication. Include your
X-Public-Key header.Query parameters
string
The user’s tag (username). Case-insensitive.
string
The user’s ID (UUID).
Example request
curl https://relay.bayse.markets/v1/user/lookup?tag=mulumba \
-H "X-Public-Key: YOUR_PUBLIC_KEY"
curl https://relay.bayse.markets/v1/user/lookup?userId=68eea9d8-a0fe-4534-ae88-b71e2f4f5c8f \
-H "X-Public-Key: YOUR_PUBLIC_KEY"
const response = await fetch('https://relay.bayse.markets/v1/user/lookup?tag=mulumba', {
headers: { 'X-Public-Key': 'YOUR_PUBLIC_KEY' },
});
const user = await response.json();
import requests
resp = requests.get(
'https://relay.bayse.markets/v1/user/lookup',
params={'tag': 'mulumba'},
headers={'X-Public-Key': 'YOUR_PUBLIC_KEY'},
)
user = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/user/lookup?tag=mulumba", nil)
req.Header.Set("X-Public-Key", "YOUR_PUBLIC_KEY")
resp, _ := http.DefaultClient.Do(req)
Response
string
The user’s unique ID (UUID).
string
The user’s tag (username).
string
URL of the user’s profile image. May be empty if no image is set.
{
"id": "68eea9d8-a0fe-4534-ae88-b71e2f4f5c8f",
"tag": "mulumba",
"imageUrl": "https://cdn.bayse.markets/profile-images/mulumba.jpg"
}
Errors
| Status | Description |
|---|---|
| 400 | Neither tag nor userId provided, or both provided. |
| 401 | Missing or invalid API key. |
| 404 | No user found with the given tag or ID. |
⌘I